## puppet-module-placement 4.4.0

=== doc/requirements.txt ===
# This is required for the docs build jobs
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0

# This is required for the releasenotes build jobs
reno>=3.1.0 # Apache-2.0

## puppet-module-placement 1.2.0

=== debian/changelog ===
puppet-module-placement (1.2.0-2) unstable; urgency=medium

  [ Thomas Goirand ]
  * Add support for placement-api to run over uwsgi.
  * Uploading to unstable.

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jul 2019 22:10:21 +0200

puppet-module-placement (1.2.0-1) experimental; urgency=medium

  * Initial release. (Closes: #926769)

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Apr 2019 09:11:37 +0200

=== debian/control ===
Source: puppet-module-placement
Section: admin
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/puppet/puppet-module-placement
Vcs-Git: https://salsa.debian.org/openstack-team/puppet/puppet-module-placement.git
Homepage: https://github.com/openstack/puppet-placement

Package: puppet-module-placement
Architecture: all
Depends:
 puppet-common,
 puppet-module-keystone (>= 14.4.0),
 puppet-module-openstacklib (>= 14.4.0),
 puppet-module-oslo (>= 14.4.0),
 puppet-module-puppetlabs-inifile,
 puppet-module-puppetlabs-mysql,
 puppet-module-puppetlabs-rabbitmq (>= 8.5.0),
 puppet-module-puppetlabs-stdlib,
 puppet-module-swift (>= 14.4.0),
 ${misc:Depends},
Description: Puppet module for OpenStack Placement
 Puppet lets you centrally manage every important aspect of your system using a
 cross-platform specification language that manages all the separate elements
 normally aggregated in different files, like users, cron jobs, and hosts,
 along with obviously discrete elements like packages, services, and files.
 .
 This module manages both the installation and configuration of OpenStack
 Placement.
 .
 OpenStack Placement provides an HTTP service for managing, selecting, and
 claiming providers of classes of inventory representing available resources
 in a cloud.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/puppet-placement.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@

override_dh_auto_install:
	echo "Don't do anything here please"

override_dh_auto_build:
	echo "Don't do anything here please"

## puppet-module-placement 2.4.0

=== debian/changelog ===
puppet-module-placement (2.4.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2019 00:37:31 +0200

puppet-module-placement (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Oct 2019 11:24:32 +0200

puppet-module-placement (2.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed add-support-for-uwsgi.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Sep 2019 12:19:43 +0200

puppet-module-placement (1.2.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * Switched build-dependencies to Python 3 (Closes: #937371).

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Sep 2019 21:29:14 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends:
  debhelper-compat (= 10),
  openstack-pkg-tools,
- python-all,
- python-pbr,
- python-setuptools,
-Standards-Version: 4.3.0
+ python3-all,
+ python3-pbr,
+ python3-setuptools,
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/puppet/puppet-module-placement
 Vcs-Git: https://salsa.debian.org/openstack-team/puppet/puppet-module-placement.git
 Homepage: https://github.com/openstack/puppet-placement
@@ -19,14 +19,14 @@
 Architecture: all
 Depends:
  puppet-common,
- puppet-module-keystone (>= 14.4.0),
- puppet-module-openstacklib (>= 14.4.0),
- puppet-module-oslo (>= 14.4.0),
+ puppet-module-keystone (>= 15.4.0),
+ puppet-module-openstacklib (>= 15.4.0),
+ puppet-module-oslo (>= 15.4.0),
  puppet-module-puppetlabs-inifile,
  puppet-module-puppetlabs-mysql,
  puppet-module-puppetlabs-rabbitmq (>= 8.5.0),
  puppet-module-puppetlabs-stdlib,
- puppet-module-swift (>= 14.4.0),
+ puppet-module-swift (>= 15.4.0),
  ${misc:Depends},
 Description: Puppet module for OpenStack Placement
  Puppet lets you centrally manage every important aspect of your system using a

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/puppet-placement/tags .*/(\d[\d\.]+)\.tar\.gz

## puppet-module-placement 3.3.0

=== debian/changelog ===
puppet-module-placement (3.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 11:51:10 +0200

puppet-module-placement (3.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 03 May 2020 14:24:18 +0200

puppet-module-placement (3.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 26 Apr 2020 12:49:23 +0200

puppet-module-placement (2.4.0-3) unstable; urgency=medium

  * Depends on puppet, not puppet-common.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Mar 2020 11:13:30 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 11),
  openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/puppet/puppet-module-placement
 Vcs-Git: https://salsa.debian.org/openstack-team/puppet/puppet-module-placement.git
 Homepage: https://github.com/openstack/puppet-placement
@@ -18,15 +18,15 @@
 Package: puppet-module-placement
 Architecture: all
 Depends:
- puppet-common,
- puppet-module-keystone (>= 15.4.0),
- puppet-module-openstacklib (>= 15.4.0),
- puppet-module-oslo (>= 15.4.0),
+ puppet,
+ puppet-module-keystone (>= 16.3.0),
+ puppet-module-openstacklib (>= 16.3.0),
+ puppet-module-oslo (>= 16.3.0),
  puppet-module-puppetlabs-inifile,
  puppet-module-puppetlabs-mysql,
  puppet-module-puppetlabs-rabbitmq (>= 8.5.0),
  puppet-module-puppetlabs-stdlib,
- puppet-module-swift (>= 15.4.0),
+ puppet-module-swift (>= 16.3.0),
  ${misc:Depends},
 Description: Puppet module for OpenStack Placement
  Puppet lets you centrally manage every important aspect of your system using a

## puppet-module-placement 4.4.0

=== debian/changelog ===
puppet-module-placement (4.4.0-3) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 16:46:25 +0200

puppet-module-placement (4.4.0-2) experimental; urgency=medium

  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Oct 2020 14:17:26 +0200

puppet-module-placement (4.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Oct 2020 14:15:10 +0200

=== debian/control ===
--- 
+++ 
@@ -19,14 +19,11 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-keystone (>= 16.3.0),
- puppet-module-openstacklib (>= 16.3.0),
- puppet-module-oslo (>= 16.3.0),
+ puppet-module-keystone (>= 17.4.0),
+ puppet-module-openstacklib (>= 17.4.0),
+ puppet-module-oslo (>= 17.4.0),
  puppet-module-puppetlabs-inifile,
- puppet-module-puppetlabs-mysql,
- puppet-module-puppetlabs-rabbitmq (>= 8.5.0),
  puppet-module-puppetlabs-stdlib,
- puppet-module-swift (>= 16.3.0),
  ${misc:Depends},
 Description: Puppet module for OpenStack Placement
  Puppet lets you centrally manage every important aspect of your system using a

## puppet-module-placement 6.4.0

=== debian/changelog ===
puppet-module-placement (6.4.0-2) unstable; urgency=medium

  * Clean-up update-alternatives handling.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Jan 2022 10:29:57 +0100

puppet-module-placement (6.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Oct 2021 11:08:55 +0200

puppet-module-placement (6.3.0-1) unstable; urgency=medium

  * Uploading to unstable.
  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 15:05:49 +0200

puppet-module-placement (6.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed depends for this release.
  * Removed patches applied upstream:
    - Add-support-for-placement_api_uwsgi_config-in-Debian.patch
    - Switch-to-ini_setting.patch

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Sep 2021 15:40:07 +0200

puppet-module-placement (5.4.0-2) unstable; urgency=medium

  * Add Add-support-for-placement_api_uwsgi_config-in-Debian.patch.
  * Add Switch-to-ini_setting.patch.
  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 17:32:50 +0200

puppet-module-placement (5.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Apr 2021 14:37:50 +0200

puppet-module-placement (5.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Mar 2021 21:57:50 +0100

puppet-module-placement (5.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Mar 2021 18:05:38 +0100

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,9 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-keystone (>= 17.4.0),
- puppet-module-openstacklib (>= 17.4.0),
- puppet-module-oslo (>= 17.4.0),
+ puppet-module-keystone (>= 19.4.0),
+ puppet-module-openstacklib (>= 19.4.0),
+ puppet-module-oslo (>= 19.4.0),
  puppet-module-puppetlabs-inifile,
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},

## puppet-module-placement 7.3.0

=== debian/changelog ===
puppet-module-placement (7.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2022 12:58:23 +0200

puppet-module-placement (7.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 14:10:46 +0100

puppet-module-placement (7.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Mar 2022 23:28:07 +0100

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,9 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-keystone (>= 19.4.0),
- puppet-module-openstacklib (>= 19.4.0),
- puppet-module-oslo (>= 19.4.0),
+ puppet-module-keystone (>= 20.3.0),
+ puppet-module-openstacklib (>= 20.3.0),
+ puppet-module-oslo (>= 20.3.0),
  puppet-module-puppetlabs-inifile,
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},

## puppet-module-placement 8.0.0

=== debian/changelog ===
puppet-module-placement (8.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Oct 2022 23:00:56 +0200

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,9 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-keystone (>= 20.3.0),
- puppet-module-openstacklib (>= 20.3.0),
- puppet-module-oslo (>= 20.3.0),
+ puppet-module-keystone (>= 21.0.0),
+ puppet-module-openstacklib (>= 21.0.0),
+ puppet-module-oslo (>= 21.0.0),
  puppet-module-puppetlabs-inifile,
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},

## puppet-module-placement 9.0.0

=== debian/changelog ===
puppet-module-placement (9.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 11:32:17 +0200

puppet-module-placement (9.0.0-1) experimental; urgency=medium

  * New upstream release.
  *Fixed runtime depends versions for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Apr 2023 11:17:38 +0200

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,9 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-keystone (>= 21.0.0),
- puppet-module-openstacklib (>= 21.0.0),
- puppet-module-oslo (>= 21.0.0),
+ puppet-module-keystone (>= 22.0.0),
+ puppet-module-openstacklib (>= 22.0.0),
+ puppet-module-oslo (>= 22.0.0),
  puppet-module-puppetlabs-inifile,
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},

## puppet-module-placement 10.0.0

=== debian/changelog ===
puppet-module-placement (10.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed versions of depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Oct 2023 15:08:45 +0200

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,9 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-keystone (>= 22.0.0),
- puppet-module-openstacklib (>= 22.0.0),
- puppet-module-oslo (>= 22.0.0),
+ puppet-module-keystone (>= 23.0.0),
+ puppet-module-openstacklib (>= 23.0.0),
+ puppet-module-oslo (>= 23.0.0),
  puppet-module-puppetlabs-inifile,
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},

## puppet-module-placement 11.0.0

=== debian/changelog ===
puppet-module-placement (11.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed versions of depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Apr 2024 17:19:40 +0200

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,9 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-keystone (>= 23.0.0),
- puppet-module-openstacklib (>= 23.0.0),
- puppet-module-oslo (>= 23.0.0),
+ puppet-module-keystone (>= 24.0.0),
+ puppet-module-openstacklib (>= 24.0.0),
+ puppet-module-oslo (>= 24.0.0),
  puppet-module-puppetlabs-inifile,
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},

## puppet-module-placement 12.0.0

=== debian/changelog ===
puppet-module-placement (12.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Oct 2024 11:26:32 +0200

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,9 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-keystone (>= 24.0.0),
- puppet-module-openstacklib (>= 24.0.0),
- puppet-module-oslo (>= 24.0.0),
+ puppet-module-keystone (>= 25.0.0),
+ puppet-module-openstacklib (>= 25.0.0),
+ puppet-module-oslo (>= 25.0.0),
  puppet-module-puppetlabs-inifile,
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},

## puppet-module-placement 14.0.0

=== debian/changelog ===
puppet-module-placement (14.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed versions of depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Oct 2025 12:43:13 +0100

=== debian/control ===
--- 
+++ 
@@ -19,11 +19,11 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-keystone (>= 25.0.0),
- puppet-module-openstacklib (>= 25.0.0),
- puppet-module-oslo (>= 25.0.0),
+ puppet-module-keystone (>= 27.0.0),
+ puppet-module-openstacklib (>= 27.0.0),
+ puppet-module-oslo (>= 27.0.0),
  puppet-module-puppetlabs-inifile,
- puppet-module-puppetlabs-stdlib,
+ puppet-module-puppetlabs-stdlib (>= 9.0.0),
  ${misc:Depends},
 Description: Puppet module for OpenStack Placement
  Puppet lets you centrally manage every important aspect of your system using a

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 %:
 	dh $@
 
+override_dh_auto_clean:
+	echo "Do nothing..."
+
 override_dh_auto_install:
 	echo "Don't do anything here please"

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/puppet-placement/tags .*/(\d[brc\d\.]+)\.tar\.gz
